org.eclipse.cdt.core.resources

## Class FileStorage

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.core.resources.FileStorage

All Implemented Interfaces:
  org.eclipse.core.resources.IStorage, org.eclipse.core.runtime.IAdaptable

    public class FileStorage
    extends org.eclipse.core.runtime.PlatformObject
    implements org.eclipse.core.resources.IStorage

See Also:
  `IStorage`

### Constructor Summary

Constructors
Constructor and Description
`FileStorage(InputStream in, org.eclipse.core.runtime.IPath path)`
`FileStorage(org.eclipse.core.runtime.IPath path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`InputStream` `getContents()`
`org.eclipse.core.runtime.IPath` `getFullPath()`
`String` `getName()`
`boolean` `isReadOnly()`
`String` `toString()`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### FileStorage

    public FileStorage(org.eclipse.core.runtime.IPath path)

#### FileStorage

    public FileStorage(InputStream in,
                       org.eclipse.core.runtime.IPath path)

### Method Detail

#### getContents

    public InputStream getContents()
                            throws org.eclipse.core.runtime.CoreException

Specified by:
  `getContents` in interface `org.eclipse.core.resources.IStorage`
Throws:
  `org.eclipse.core.runtime.CoreException`

#### getFullPath

    public org.eclipse.core.runtime.IPath getFullPath()

Specified by:
  `getFullPath` in interface `org.eclipse.core.resources.IStorage`
See Also:
  `IStorage.getFullPath()`

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.eclipse.core.resources.IStorage`
See Also:
  `IStorage.getName()`

#### isReadOnly

    public boolean isReadOnly()

Specified by:
  `isReadOnly` in interface `org.eclipse.core.resources.IStorage`
See Also:
  `IStorage.isReadOnly()`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  `IStorage.isReadOnly()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`